## org.mariadb.jdbc.internal.com.send.gssapi
Class GssapiAuth

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.gssapi.GssapiAuth

Direct Known Subclasses:
  StandardGssapiAuthentication, WindowsNativeSspiAuthentication

    public abstract class GssapiAuth

extends Object

Field Summary
`protected int` `packSeq`
`protected PacketInputStream` `reader`

Constructor Summary
`GssapiAuth(PacketInputStream reader, int packSeq)`

Method Summary
`abstract void` `authenticate(PacketOutputStream writer, String serverPrincipalName, String mechanisms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected PacketInputStream reader

### packSeq

    protected int packSeq

Constructor Detail

### GssapiAuth

    public GssapiAuth(PacketInputStream reader,
                      int packSeq)

Method Detail

### authenticate

    public abstract void authenticate(PacketOutputStream writer,
                                      String serverPrincipalName,
                                      String mechanisms)
                               throws SQLException,
                                      IOException

  Throws:
    `SQLException`
    `IOException`

Copyright © 2017. All rights reserved.